org.deidentifier.arx

## Interface DataType.DataTypeWithRatioScale<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  DataType.ARXDate, DataType.ARXDecimal, DataType.ARXInteger

Enclosing class:
  DataType<T>

    public static interface DataType.DataTypeWithRatioScale<T>

An interface for data types with a ratio scale.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `add(T augend, T addend)` Add
`int` `compare(java.lang.String s1, java.lang.String s2)` Compare
`int` `compare(T t1, T t2)` Compare
`java.lang.String` `divide(java.lang.String dividend, java.lang.String divisor)` Divide
`T` `divide(T dividend, T divisor)` Divide
`java.lang.String` `format(T t)` Format
`T` `fromDouble(java.lang.Double d)` Converts a double into a value.
`DataType.DataTypeDescription<T>` `getDescription()` Description
`T` `getMaximum()` Maximum
`T` `getMinimum()` Minimum
`boolean` `isValid(java.lang.String s)` Valid
`java.lang.String` `multiply(java.lang.String multiplicand, java.lang.String multiplicator)` Multiply
`T` `multiply(T multiplicand, double multiplicator)` Multiply
`T` `multiply(T multiplicand, int multiplicator)` Multiply
`T` `multiply(T multiplicand, T multiplicator)` Multiply
`T` `parse(java.lang.String s)` Parse
`double` `ratio(T dividend, T divisor)` Divide
`T` `subtract(T minuend, T subtrahend)` Subtract
`java.lang.Double` `toDouble(T t)` Converts a double into a value.

### Method Detail

#### add

    T add(T augend,
          T addend)

Add

Parameters:
  `augend` -
  `addend` -
Returns:

#### compare

    int compare(java.lang.String s1,
                java.lang.String s2)
         throws java.lang.NumberFormatException,
                java.text.ParseException

Compare

Parameters:
  `s1` -
  `s2` -
Returns:
Throws:
  `java.lang.NumberFormatException`
  `java.text.ParseException`

#### compare

    int compare(T t1,
                T t2)

Compare

Parameters:
  `t1` -
  `t2` -
Returns:

#### divide

    java.lang.String divide(java.lang.String dividend,
                            java.lang.String divisor)

Divide

Parameters:
  `dividend` -
  `divisor` -
Returns:

#### divide

    T divide(T dividend,
             T divisor)

Divide

Parameters:
  `dividend` -
  `divisor` -
Returns:

#### format

    java.lang.String format(T t)

Format

Parameters:
  `t` -
Returns:

#### fromDouble

    T fromDouble(java.lang.Double d)

Converts a double into a value.

Parameters:
  `s` -
Returns:

#### getDescription

    DataType.DataTypeDescription<T> getDescription()

Description

Returns:

#### getMaximum

    T getMaximum()

Maximum

Returns:

#### getMinimum

    T getMinimum()

Minimum

Returns:

#### isValid

    boolean isValid(java.lang.String s)

Valid

Parameters:
  `s` -
Returns:

#### multiply

    java.lang.String multiply(java.lang.String multiplicand,
                              java.lang.String multiplicator)

Multiply

Parameters:
  `multiplicand` -
  `multiplicator` -
Returns:

#### multiply

    T multiply(T multiplicand,
               double multiplicator)

Multiply

Parameters:
  `multiplicand` -
  `multiplicator` -
Returns:

#### multiply

    T multiply(T multiplicand,
               int multiplicator)

Multiply

Parameters:
  `multiplicand` -
  `multiplicator` -
Returns:

#### multiply

    T multiply(T multiplicand,
               T multiplicator)

Multiply

Parameters:
  `multiplicand` -
  `multiplicator` -
Returns:

#### parse

    T parse(java.lang.String s)

Parse

Parameters:
  `s` -
Returns:

#### ratio

    double ratio(T dividend,
                 T divisor)

Divide

Parameters:
  `dividend` -
  `divisor` -
Returns:

#### subtract

    T subtract(T minuend,
               T subtrahend)

Subtract

Parameters:
  `minuend` -
  `subtrahend` -
Returns:

#### toDouble

    java.lang.Double toDouble(T t)

Converts a double into a value.

Parameters:
  `s` -
Returns: